##### Views

- Page
- Discussion
- View source
- History

# love.graphics.rotate

Rotates the coordinate system in two dimensions.

Calling this function affects all future drawing operations by rotating the coordinate system around the origin by the given amount of radians. This change lasts until love.draw() exits.

## Function

### Synopsis

love.graphics.rotate( angle )

### Arguments

`number angle`
  The amount to rotate the coordinate system in radians.

### Returns

Nothing.

## Examples

### Rotating a static scene

This example shows how to rotate a static scene around a given point. Since the rotation is always around the origin, translating the center of the screen to the origin and back around the rotate operation makes the effective rotation point be the center of the screen. This is demonstrated by drawing a rectangle that shows the rotation and a point that is right in the center and thus does not move when the scene rotates. Note that the drawing commands have coordinates that depend solely on the screen size.

local angle = 0
function love.draw()
local width = love.graphics.getWidth()
local height = love.graphics.getHeight()
-- rotate around the center of the screen by angle radians
love.graphics.translate(width/2, height/2)
love.graphics.rotate(angle)
love.graphics.translate(-width/2, -height/2)
-- draw a white rectangle slightly off center
love.graphics.setColor(0xff, 0xff, 0xff)
love.graphics.rectangle('fill', width/2-100, height/2-100, 300, 400)
-- draw a five-pixel-wide blue point at the center
love.graphics.setPointSize(5)
love.graphics.setColor(0, 0, 0xff)
love.graphics.point(width/2, height/2)
end
function love.update(dt)
love.timer.sleep(.01)
angle = angle + dt * math.pi/2
angle = angle % (2*math.pi)
end

## See Also

- love.graphics
- love.graphics.pop
- love.graphics.push
- love.graphics.translate
- love.graphics.scale

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.graphics.rotate"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties